/****************************************************************************************
 * KF8A系列单片机	KF8A100EON_DEMO	开发板演示程序
 * 标    题: EEPROM实验
 * 项目名: 07- EEPROM_Test
 * 开发环境：ChipON IDE
 * 版          本     ：V1.0 (2019/07/23)
 * 作 者: 上海芯旺微电子有限公司
 * 功能简述：测试DATE_EEPROM的读写操作，如程序所示，对相应的地址进行操作，操作结果通过断电 使用PRO读取。
 * 硬件说明：
 * 跳线接法：单片机供电选择为3.3V或5V
 ****************************************************************************************/
#include<KF8A100EON.h>
#include"include.h"
extern unsigned char DATA_EE_BUFFER[];

void Sys_Init(void)
{
	OSCCTL = 0x70;		//时钟配置为内部16M
	TR0=0;
	TR1=0;
	TR2=0;
	TR3=0;
	P0=0;
	P1=0;
	P2=0;
	P3=0;
}

//主函数
void main()
{
	unsigned char i;
	unsigned char temp=0x00;

	Sys_Init();

	//--- 准备待写入的16个数据0x00 0x11 0x22...0xFF
		for (i = 0; i < DATA_EE_BUFFER_MAX; i++)
		{
			DATA_EE_BUFFER[i] = temp;
			temp+=0x11;
		}
	//---setp 1 		写入到0x00 和0x0F的DATA_EE空间
		DATA_EE_WRITE_FUN(0x00,DATA_EE_BUFFER_MAX);
	//--- setp 2 		读取 0x09，并写入到0x40
			// 读取所需到缓存
		temp=DATA_EE_READ_ONE(0x09);
			// 修改要写入的值
		DATA_EE_WRITE_ONE(0x40,temp);
	//--- setp 3	将0X40-0x4F中写入的16个数据0x00 0x11 0x22...0xFF；
		temp=0;
		for (i = 0; i < DATA_EE_BUFFER_MAX; i++)
		{
			DATA_EE_BUFFER[i] = temp;
			temp+=0x11;
		}
		DATA_EE_WRITE_FUN(0x40,DATA_EE_BUFFER_MAX);
	//--- setp 4	将0X40-0x4F中的数据读出到数组并修改0X40的值后放置到0x20段
		DATA_EE_READ_FUN(0x40,DATA_EE_BUFFER_MAX);
		DATA_EE_BUFFER[0]=0xFE;
		DATA_EE_WRITE_FUN(0x20,DATA_EE_BUFFER_MAX);
	while(1)
	{

	}
}
//中断函数0:0X04入口地址
void int_fun0() __interrupt (0)
{

}


//中断函数1:0x14入口地址
void int_fun1() __interrupt (1)
{

}
